TabPane.TabClosingPolicy (JavaFX 17)

Module javafx.controls
Package javafx.scene.control

## Enum TabPane.TabClosingPolicy

- java.lang.Object
- - java.lang.Enum<TabPane.TabClosingPolicy>
  - - javafx.scene.control.TabPane.TabClosingPolicy

- All Implemented Interfaces:
    `Serializable`, `Comparable<TabPane.TabClosingPolicy>`
  Enclosing class:
    TabPane

      public static enum TabPane.TabClosingPolicy
      extends Enum<TabPane.TabClosingPolicy>

  This specifies how the TabPane handles tab closing from an end-users perspective. The options are:

  - TabClosingPolicy.UNAVAILABLE: Tabs can not be closed by the user
  - TabClosingPolicy.SELECTED_TAB: Only the currently selected tab will have the option to be closed, with a graphic next to the tab text being shown. The graphic will disappear when a tab is no longer selected.
  - TabClosingPolicy.ALL_TABS: All tabs will have the option to be closed.
  Since:
    JavaFX 2.0

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `ALL_TABS` | All tabs will have the option to be closed.
    `SELECTED_TAB` | Only the currently selected tab will have the option to be closed, with a graphic next to the tab text being shown.
    `UNAVAILABLE` | Tabs can not be closed by the user.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static TabPane.TabClosingPolicy` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static TabPane.TabClosingPolicy[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods declared in class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods declared in class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SELECTED_TAB

          public static final TabPane.TabClosingPolicy SELECTED_TAB

      Only the currently selected tab will have the option to be closed, with a graphic next to the tab text being shown. The graphic will disappear when a tab is no longer selected.

    - #### ALL_TABS

          public static final TabPane.TabClosingPolicy ALL_TABS

      All tabs will have the option to be closed.

    - #### UNAVAILABLE

          public static final TabPane.TabClosingPolicy UNAVAILABLE

      Tabs can not be closed by the user.

  - ### Method Detail

    - #### values

          public static TabPane.TabClosingPolicy[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TabPane.TabClosingPolicy c : TabPane.TabClosingPolicy.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TabPane.TabClosingPolicy valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null